#
# spec file for package perl-Test-MockTime
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-MockTime
Version:        0.15
Release:        4.1
%define cpan_name Test-MockTime
Summary:        Replaces actual time with simulated time
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-MockTime/
Source0:        http://www.cpan.org/authors/id/D/DD/DDICK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Time::Piece) >= 1.08
Requires:       perl(Time::Piece) >= 1.08
%{perl_requires}

%description
This module was created to enable test suites to test code at specific
points in time. Specifically it overrides localtime, gmtime and time at
compile time and then relies on the user supplying a mock time via
set_relative_time, set_absolute_time or set_fixed_time to alter future
calls to gmtime,time or localtime.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Sep  4 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Test-MockTime/Changes
    0.15 - 03 Sep 2015
  * Corrected README.  Merged POD into pm file
    0.14 - 03 Sep 2015
  * fixing POD code examples as per RT #104088.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Test-MockTime/Changes
    0.13 - 07 Aug 2014
  * explicit license in META as per RT #97806
  * included other updates to Makefile.PL details (author, etc)
* Tue Mar 18 2014 coolo@suse.com
- regenerate spec file for factory submission
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.12)
